module Mockdata
  class Locations

    # Location, Latitude, Longitude
    LOCATIONS = [
      ["Pagosa Springs", 37.26945,           -107.0097617],
      ["Durango",        37.27528,           -107.8800667],
      ["Cortez",         37.355967684576406, -108.60260009765625],
      ["Farmington",     36.74108512094412,  -108.1658935546875],
      ["Denver",         39.7391536,         -104.9847034],
      ["Boulder",        40.000267972646796, -105.28472900390625],
      ["Fort Collins",   40.58058466412761,  -105.15838623046875],
      ["Cheyenne",       41.15797827873605,  -104.8480224609375],
      ["Grand Island",   40.925964939514294, -98.3660888671875],
      ["Lincoln",        40.80965166748853,  -96.6851806640625],
      ["Omaha",          41.253032440653186, -95.9051513671875],
      ["Des Moines",     41.56203190200195,  -93.504638671875],
      ["Cedar Rapids",   41.96765920367816,  -91.77978515625],
      ["Milwaukee",      43.04480541304368,  -87.923583984375],
      ["Mineapolis",     44.98811302615805,  -93.251953125],
      ["South Fork",     37.67512527892127,  -106.6497802734375],
      ["Creede",         37.8553385894982,   -106.9354248046875],
      ["Bayfield",       37.234701971668144, -107.60147094726562],
      ["Arboles",        37.03763967977139,  -107.42156982421875],
      ["Dulce",          36.94111143010769,  -106.99859619140625],
      ["Chama",          36.910372213522535, -106.58111572265625],
      ["Salt Lake City", 40.70562793820592,  -111.566162109375],
      ["Reno",           39.54641191968671,  -119.8388671875],
      ["Santa Fe",       35.7019167328534,   -105.963134765625],
      ["Albuquerque",    35.092945313732635, -106.666259765625],
      ["Philadelphia",   39.9602803542957,   -75.16845703125],
      ["New York City",  40.730608477796636, -74.036865234375],
      ["Ocala",          29.209713225868185, -82.15576171875],
      ["Miami",          25.809781975840405, -80.255126953125],
      ["San Diego",      32.74108223150125,  -117.169189453125],
      ["San Francisco",  37.69251435532741,  -122.50854492187].freeze
    ]

    # City, Country
    CITIES = [
      ["Aberdeen", "Scotland"],
      ["Adelaide", "Australia"],
      ["Algiers", "Algeria"],
      ["Amsterdam", "Netherlands"],
      ["Ankara", "Turkey"],
      ["Asunción", "Paraguay"],
      ["Athens", "Greece"],
      ["Auckland", "New Zealand"],
      ["Bangkok", "Thailand"],
      ["Barcelona", "Spain"],
      ["Beijing", "China"],
      ["Belém", "Brazil"],
      ["Belfast", "Northern Ireland"],
      ["Belgrade", "Serbia"],
      ["Berlin", "Germany"],
      ["Birmingham", "England"],
      ["Bogotá", "Colombia"],
      ["Bombay", "India"],
      ["Bordeaux", "France"],
      ["Bremen", "Germany"],
      ["Brisbane", "Australia"],
      ["Bristol", "England"],
      ["Brussels", "Belgium"],
      ["Bucharest", "Romania"],
      ["Budapest", "Hungary"],
      ["Buenos Aires", "Argentina"],
      ["Cairo", "Egypt"],
      ["Calcutta", "India"],
      ["Canton", "China"],
      ["Cape Town", "South Africa"],
      ["Caracas", "Venezuela"],
      ["Cayenne", "French Guiana"],
      ["Chihuahua", "Mexico"],
      ["Chongqing", "China"],
      ["Copenhagen", "Denmark"],
      ["Córdoba", "Argentina"],
      ["Dakar", "Senegal"],
      ["Darwin", "Australia"],
      ["Djibouti", "Djibouti"],
      ["Dublin", "Ireland"],
      ["Durban", "South Africa"],
      ["Edinburgh", "Scotland"],
      ["Frankfurt", "Germany"],
      ["Georgetown", "Guyana"],
      ["Glasgow", "Scotland"],
      ["Guatemala City", "Guatemala"],
      ["Guayaquil", "Ecuador"],
      ["Hamburg", "Germany"],
      ["Hammerfest", "Norway"],
      ["Havana", "Cuba"],
      ["Helsinki", "Finland"],
      ["Hobart", "Tasmania"],
      ["Hong Kong", "China"],
      ["Iquique", "Chile"],
      ["Irkutsk", "Russia"],
      ["Jakarta", "Indonesia"],
      ["Johannesburg", "South Africa"],
      ["Kingston", "Jamaica"],
      ["Kinshasa", "Congo"],
      ["Kuala Lumpur", "Malaysia"],
      ["La Paz", "Bolivia"],
      ["Leeds", "England"],
      ["Lima", "Peru"],
      ["Lisbon", "Portugal"],
      ["Liverpool", "England"],
      ["London", "England"],
      ["Lyons", "France"],
      ["Madrid", "Spain"],
      ["Manchester", "England"],
      ["Manila", "Philippines"],
      ["Marseilles", "France"],
      ["Mazatlán", "Mexico"],
      ["Mecca", "Saudi Arabia"],
      ["Melbourne", "Australia"],
      ["Mexico City", "Mexico"],
      ["Milan", "Italy"],
      ["Montevideo", "Uruguay"],
      ["Moscow", "Russia"],
      ["Munich", "Germany"],
      ["Nagasaki", "Japan"],
      ["Nagoya", "Japan"],
      ["Nairobi", "Kenya"],
      ["Nanjing (Nanking)", "China"],
      ["Naples", "Italy"],
      ["New Delhi", "India"],
      ["Newcastle-on-Tyne", "England"],
      ["Odessa", "Ukraine"],
      ["Osaka", "Japan"],
      ["Oslo", "Norway"],
      ["Panama City", "Panama"],
      ["Paramaribo", "Suriname"],
      ["Paris", "France"],
      ["Perth", "Australia"],
      ["Plymouth", "England"],
      ["Port Moresby", "Papua New Guinea"],
      ["Prague", "Czech Republic"],
      ["Rangoon", "Myanmar"],
      ["Reykjavík", "Iceland"],
      ["Rio de Janeiro", "Brazil"],
      ["Rome", "Italy"],
      ["Salvador", "Brazil"],
      ["Santiago", "Chile"],
      ["St. Petersburg", "Russia"],
      ["São Paulo", "Brazil"],
      ["Shanghai", "China"],
      ["Singapore", "Singapore"],
      ["Sofia", "Bulgaria"],
      ["Stockholm", "Sweden"],
      ["Sydney", "Australia"],
      ["Tananarive", "Madagascar"],
      ["Teheran", "Iran"],
      ["Tokyo", "Japan"],
      ["Tripoli", "Libya"],
      ["Venice", "Italy"],
      ["Veracruz", "Mexico"],
      ["Vienna", "Austria"],
      ["Vladivostok", "Russia"],
      ["Warsaw", "Poland"],
      ["Wellington", "New Zealand"],
      ["Zürich", "Switzerland"].freeze
    ]

    STREETNAMES = [ "Abbywood Street", "Alice Cove", "Allendale Rise", "Annapolis Garth East", "Aquistapace Quadrant South", "Asylum Arch Park", "Back Wood Quay", "Bedivere Townline", "Blackthorn Bay East", "Blue Brook Crescent North", "Canyon Brook Place", "Chippetts Viaduct", "Cress Plaza", "Dormity Terrace", "East Baslow Viaduct", "East Breck Boulevard", "East Coonanbarra Causeway", "East Falcon Lakes", "East Fire Barn Nook", "East Shepley Hill", "East Swamp Knoll", "East Western Mine Knoll", "Equine Spur South", "Everest Quay", "Folsom Park", "Franzen Court", "Glendon Mall", "Gold Yarrow Southwest", "Hazelmead Bay", "Howell Mountain Mall", "Keb Gate", "Knight Arch Walk Northeast", "Lake Central Heights", "Lark Hill Northeast", "Manor Park", "Mile End", "Morninglo Mall", "Muirkirk Meadows Canyon", "North Amberleaze Heights", "North Bound Quay", "North Brockett Mews", "North Dunford Grove", "North Jim Elder Pike", "North Keary Gardens", "North Kelveden Gate", "North Monumental Croft", "North Newhill Street", "North Southend Vale", "North Tonge Croft", "North Willetts Crossing", "North Willow Grove", "Northeast Buttons Quadrant", "Northeast Highcliffe Trace", "Northeast Lower Main", "Northeast Rowhill Grove", "Northeast Saint Edwards Road", "Northeast Tree Side", "Northwest Freemans Heights", "Northwest Greenwich Church Court", "Northwest Screvin Pathway", "Northwest Soscol Creek", "Norvegia Terrace", "Pacella Canyon", "Pheasant Run Bay", "Piggotts Loop", "Sanfoin Canyon", "Scott Hill Spur West", "South Annuskemunnica Croft", "South Del Oro Heights", "South Everdell Way", "South Grouse Run Bay", "South Mystique Grade", "South Onekema Arcade", "South Sugar Valley", "South Windy Cove", "Southeast Reld Grade", "Southeast Runsell Promenade", "Southwest Saint Thomas Church", "Tabler Place", "Thundersley Church", "Timm Dell", "Tonge Square", "Tootal Road", "Touch Spur", "Underriver House", "Wellsboro Dell", "West Bay Side Drive", "West Carriger Quadrant", "West Cheryll Turnpike", "West Curry Creek Loop", "West Golden Harvest Nook", "West Hosford Road", "West Huntzinger Lawn", "West Magruder Way", "West Mamor Walk", "West Milbourne Gardens", "West Morris Park", "West Mount Tabor", "West Ovaltine Knoll", "Wyndora Circle" ].freeze

    ISLANDS = [ "Boh Cay", "Braduts Ait", "Cex Archipelago", "Clons Cay", "Flajelt Ait", "Flyhx Enclave", "Fruzet Chain", "Glakilk Ait", "Gniwohst Atoll", "Golst Cay", "Klysist Enclave", "Knecur Archipelago", "Kudyps Chain", "Mault Ait", "Nuss Chain", "Pegh Archipelago", "Prens Archipelago", "Qets Archipelago", "Qroaht Cay", "Ruwth Chain", "Sorb Cay", "The Arctic Chain", "The Asylum Cay", "The Asylum Skerry", "The Bursting Key", "The Calm Islands", "The Coral Cay", "The Dangerous Islet", "The Depraved Islet", "The Dry Chain", "The Empty Haven", "The Flowing Ait", "The Harmonious Cay", "The Neglected Holm", "The Paradise Islands", "The Perfume Islet", "The Pleasant Islands", "The Pufferfish Archipelago", "The Quiet Chain", "The Rocky Islet", "The Stingray Haven", "Tlot Cay", "Ufann Chain", "Vleb Archipelago", "Vlobehx Cay", "Vrozirk Cay", "Wuast Chain", "Yl Enclave", "Yralf Enclave", "Zon Cay" ].freeze

    AIRPORTS = [ "Akron Airport", "Baptist Regional Health Center Heliport", "Berlin Regional Airport", "Birds Nest Airport", "Bleakley Ranch Airport", "BP Minerals-Copperton Heliport", "Bridger Creek Airport", "Bush Airport", "Butler Farm Show Airport", "Canyon Lake Airport", "Centre-Piedmont-Cherokee County Regional Airport", "Chandler Field Airport", "Cmelak Field Airport", "Community Hospital of Ottawa Heliport", "Converse Farm Landing Strip", "Crawford Memorial Hospital Heliport", "Culberson County Airport", "Cumming Triangle Landing Area", "D F C H Heliport", "Darrah Air Park", "De Leon Municipal Airport", "Deer Run Airport", "Dover Air Force Base", "Doyles Landing Strip", "East Side Airport", "Fendley Airport", "Fess Landing Strip", "Fly in Ranches Airport", "Flying T Airport", "Francis Peak Heliport", "Frizzell Landing Strip", "Front Royal-Warren County Airport", "Funk Field", "Gage Airport", "Goacher Airport", "Greenville Airport", "Hayes Airport", "Herr Mountain Airport", "Highland View Field Airport", "Hilliard's Private Airport", "Honeoye Falls Airport", "Hornady Ranch Airport", "Hot Springs Municipal Airport", "Houston Oil and Minerals Port Bolivar Number 2 Heliport", "Hutson Airfield", "Iberlin Ranch Airport Nr 3", "Idle Hour Airport", "Johnson Airport", "Kernville Heliport", "Kyles Airport", "Lamb's Field Airport", "Laurens County Airport", "Luhrs Landing Strip", "Madison County Airport", "McCall Memorial Hospital Heliport", "Medcalf Field Airport", "Metz Landing Strip", "Mike's Ag Air Airport", "Moore Creek Airport", "Moore Ranch Airport", "Morris Field Airport", "Mount Comfort Airpark", "Newton City/County Airport", "North Valley Landing Strip", "Olsen Airport", "Owen Field Airport", "Pepeekeo Airstrip", "Pocahontas Municipal Airport", "Ralph E. Daniels Airport", "Ray Ranch Airport", "RI An Anaheim Helistop G/l B/201", "Rockwell Facility Heliport", "Rota Airport", "Ruidoso Municipal Airport", "Russells Ranch Airport", "Salem Memorial Hospital Heliport", "Santa Barbara Municipal Airport", "SCE Ridgecrest Service Center Heliport", "SCE Tiffany Pines Heliport", "Schiff Airport", "Schuster Field", "Siller Bros Inc Airport", "Stoval Airfield", "Strawberry Acres Airport", "Svitak Airport", "Swanson Ranch 3 Airport", "Taylor Field", "Timber Line Airpark", "Toroweap Landing Strip", "Trails End Airstrip", "UCDMC Heliport", "Vac Heliport", "Wales Airport", "Walls Airport", "Waverly Landing Airport", "Wenlock Crossing Heliport", "Willow Run Airport", "Wilmington Country Club Airport", "Yakutat Seaplane Base" ].freeze

    def self.city_latitude_longitude
      LOCATIONS.sample
    end

    def self.city_country
      CITIES.sample
    end

    def self.streetname
      STREETNAMES.sample
    end

    def self.island
      ISLANDS.sample
    end

    def self.airport
      AIRPORTS.sample
    end

  end
end
